### Method

# Fwupd Remote get_approval_required

since: 1.2.6

#### Declaration [src]

    gboolean
    fwupd_remote_get_approval_required (
      FwupdRemote* self
    )

#### Description [src]

Gets if firmware from the remote should be checked against the list of a approved checksums.

Available since: 1.2.6

Gets property | `Fwupd.Remote:approval-required`

#### Return value

Type: `gboolean`

A `TRUE` if the remote is restricted.